Ubuntu 11.04 – instalacja Java 6

Jako, że dzisiaj ma miejsce premiera Ubuntu 11.04, zaczynamy publikować artykuły związane z tym systemem – na początek instalacja Javy.

Na początek dodaj repozytorium:

sudo add-apt-repository ppa:ferramroberto/java

Zaktualizuj system:

sudo apt-get update

Zainstaluj Javę:

sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fonts

Podczas instalacji zostaniesz poproszony o akceptację licencji – zrobisz to za pomocą klawiszy TAB oraz Enter.
Aktualną wersję Javy sprawdzisz poleceniem:

java -version

Jeżeli powyższy artykuł nie rozwiązał lub rozwiązał częściowo Twój problem, dodaj swój komentarz opisujący, w którym miejscu napotkałeś trudności.
Mile widziane komentarze z uwagami lub informacjami o rozwiązaniu problemu.
  • http://www.infolotnicze.pl infolotnicze

    Trochę nie w temacie, ale blisko. Jak ma się 10.10 to aktualizacja pojawi się normalnie tak jak inne aktualizacje?

  • tom010

    zaczynamy publikować artykuły. gdzie? 2 zdania to nie artykuł -_-

    • Szmitas

      Wszystko w swoim czasie, mamy ustalony plan publikacji i tego się trzymamy.

  • seb

    Ubuntu 11.04 (dziś ściągnięte). Zainstalowałem javę, sprawdzam wersję:

    java version „1.6.0_22”
    OpenJDK Runtime Environment (IcedTea6 1.10.1) (6b22-1.10.1-0ubuntu1)
    OpenJDK Server VM (build 20.0-b11, mixed mode)

    więc niby wszystko ok ale w żadnej przeglądarce java nie chce się uruchomić. Jakieś rady ? :)

  • Adam

    Zrobiłem wszystko jak jest napisane, na czas ściągania wyszedłem z pokoju i ktoś z domowników zamknął okno z akceptacją licencji bez klikania tab+enter. Teraz ani java nie działa, ani nie da się jej ściągnąć jeszcze raz… gdzie się odpala to okienko ponownie?

  • http://www.pogodzinach.net grek

    Ja po instalacji i zaakceptowaniu nadal mam te OpenJDK – która była wcześniej zainstalowana – czyli nie działające nie wiadomo co – nie działa na tym np czat onetu, nie ma sterownikow obdc nie wiem po co to instaluja skoro wikeszosc userow tylko problemy bedzie miala bo niby jave ma ale sieciowe zeczy i tak nie dzialaja.

  • anonim

    W końcu jakaś porada, dzięki której zainstalowałem w końcu tą jave ! Podziękowania dla autora.

  • http://www.nibyblog.pl frk
  • wasylu1

    Nie chce mi, mimo wielu prób z różnych źrodeł, działać java, przynajmniej na kurnik.pl. Napiszcie mi, jakie podać informacje, żebyście mogli pomóc mi zidentyfikować problem, bo już nie wiem. Nigdy nie miałem problemów z javą, teraz nawet skrypt konfiguracyjny nie pomógł.

  • lukash90

    Witam, mam taki problem. Java w przeglądarce działała mi bez zarzutów do czasu automatycznej aktualizacji. Teraz nie działa mimo, że wszystko co trzeba mam zainstalowane. Próbowałem oczywiście przeinstalować wszystkie pakiety ale to nic nie dało. Jakieś pomysły co może być przyczyną?

  • Demon

    Problem nie leży w nie zainstalowanej JRE tylko nie skonfigurowanym środowisku.

    http://www.java.com/pl/download/help/enable_browser_ubuntu.xml

    i w większości przypadków po problemie

  • Flo

    Witam,

    Mam ubuntu 11.04 JAVA 1.6.0_24 i mozilla firefox ( nie wiem który numer i jak to sprawdzić) i od ostatniej aktualizacji automatycznej nie mogę nic „zobaczyć / obejrzeć”
    na youtube i wielu innych stronach. Było już tak, po aktualizacji jakieś pól roku temu
    się poprawiło częściowo ( nie wszystkie filmy można odtwarzać) i teraz znowu klops.

    Proszę o pomoc!!!

    • lukash90

      Werjsę Firefoxa możesz sprawdzić klikając w Pomoc->O programie Firefox, ale to nie ma znaczenia, bo każda wersja nowsza niż 3 to ścierwo. Spróbuj przeinstalować całego Flasha, no i przejdź na jakąś stabilniejszą przeglądarkę, np. Chrome

      • Flo

        Mozilla 14.0.1 czyli for ubuntu canonical 1.0
        flash był przeinstalowany na samym początku, bo jak pisałam po zainstalowaiu 11.04 się ten problem pojawił i naprawiło to tylko częściowo tj. połowę można było obejrzeć połowę nie. Teraz nie widzę nic… Nie chciałabym innej przeglądarki niż mozilla. był inny case – nie można było otworzyć plików .pdf czyli adobe. Mam teraz przez synaptic zainstalowane te plugin, aby móc otwierać adobe. Niestety przypuszczam, że czegoś nie mam zainstalowanego, co blokuje. Podkreślam po automatycznej aktualizacji padło, a w aktualizacji były biblioteki mozilla. Czy ktoś wie jaki plugin jest potrzebny???
        Gnash mam odinstalowany. Używam gstreamer.

        • lukash90

          Spróbuj ręcznie zrobić dowiązanie flasha do Firefoxa.
          Opisane jest to np tutaj
          http://www.abclinux.com.pl/linux-java-i-flash-player/
          Tyle, że ty masz już pewnie nowszego Firefoxa, więc nie będziesz miał katalogu ‚Firefox-6.0.2’ tylko jakiś z innym numerkiem. Jak nie będzie działać, to na prawdę polecam Chrome :P

  • Flo

    Niestety szperam po forach, aby znaleźć rozwiązanie i na chromie też nie działa ludziom.